PCP-SHPING(1)

NAME
pcp-shping - report on shell service availability and response

SYNOPSIS
pcp [pcp options] shping [-cl?] tag ...

DESCRIPTION
pcp-shping samples and reports on the shell-ping service metrics exported by the pmdashping(1) agent.

The default report from pcp-shping shows two columns for each service tag, the first showing service status (zero indicating success) and the second service response time, for the last pmdashping command refresh cycle.

When invoked via the pcp(1) command, the -h/ --host, -a/ --archive, -O/ --origin, -s/ --samples, -t/ --interval, -Z/ --timezone and several other pcp options become indirectly available, see PCPIntro(1) for their descriptions.

OPTIONS
The available command line options are:

-c, --status
    Display a summary of the current shell-ping collector, including information about service refresh interval, the current command timeout setting, count of refreshes, and the full command line associated with each tag.

-l, --tags
    Displays the valid tags.

-?, --help
    Display usage message and exit.

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

SEE ALSO
PCPIntro(1), pcp(1) and pmdashping(1).